#!/bin/sh

# Basic ext2 test
FS=ext2 FILE=test-ext2.img sh mkimage.sh

# ??? e2fsck rehashes dir indexes on a fresh ext2 O_o
e2fsck -f test-ext2.img

# Basic ext3 test
FS=ext3 FILE=test-ext3.img sh mkimage.sh

# Normal 4k block size
FS=ext4 FILE=test-ext4-4k.img OPTS='-b 4096' sh mkimage.sh

# Basic ext4 test
FS=ext4 FILE=test-ext4.img sh mkimage.sh

# Big flex_bg, inode tables don't fit in a single block group
FS=ext4 FILE=test-biggroup.img SIZE=131072 OPTS='-b 1024 -I 256 -g 2048 -G 64 -N 32768' sh mkimage.sh

# Journal moving, reallocation in FS with > 1 flex_bg, moving blocks between groups
FS=ext4 FILE=test-ext4-25m.img SIZE=25000 OPTS='-b 1024 -g 2048 -N 2048 -G 4' sh mkimage.sh

# bigalloc
FS=ext4 FILE=test-ext4-bigalloc.img SIZE=32768 OPTS='-C 2048 -O bigalloc,^resize_inode -b 1024 -g 2048 -N 2048' sh mkimage.sh
